GCLOUD_COMPUTE_URL-MAPS_REMOVE-HOST-RULE(1)

NAME

gcloud compute url-maps remove-host-rule - remove a host rule from a URL map

SYNOPSIS

gcloud compute url-maps remove-host-rule NAME --host HOST [--delete-orphaned-path-matcher] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute url-maps remove-host-rule is used to remove a host rule from a URL map. When a host rule is removed, its path matcher is only removed if it is not referenced by any other host rules and --delete-orphaned-path-matcher is provided.

POSITIONAL ARGUMENTS
NAME
    The name of the URL map.

REQUIRED FLAGS
--host HOST
    One of the hosts in the host rule to remove.

OPTIONAL FLAGS
--delete-orphaned-path-matcher
    If provided and a path matcher is orphaned as a result of this command, the command removes the orphaned path matcher instead of failing.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To remove a host rule that contains the host google.com from the URL map named MY-URL-MAP, you can use this command:
    $ gcloud compute url-maps remove-host-rule MY-URL-MAP \
        --host google.com